! gtool_data.f90 - gtool4 file interface
! Copyright (C) by TOYODA Eizi, 2000.  All rights reserved.
! vi: set sw=4 ts=8:

module gtool_data 

    use netcdf
    use gtool_error
    use gtool_file
    use gtool_variable
    use gtool_partial
    use gtool_io
    use gtool_attribute
    use gtool_history

    public:: GtoolAbort, GtoolSaveError
    public:: GT_ERROR_BASE, GT_EOPENDEV
    public:: GT_FILE, Open, Close, Create, VariablesNumber, Nc
    public:: GT_VARIABLE, Variable, Dimension
    public:: operator(.hasVariable.), operator(.hasDimension.)
    public:: operator(.error.), Name, Fullname, Maxval, MinVal
    public:: FilenameSplit, FirstVariable
    public:: Slice, Count, Size
    public:: Get, GtoolGetReal
    public:: Put, GtoolPutReal
    public:: GT_ATTRIBUTE, Attribute, Dispose, Rename, Len, Type
    public:: operator(.exists.), operator(.error.), assignment(=)

!contains

end module
